SELECT Код_типа_контакта INTO #TmpTable FROM Справочник_типов_контактов
SET IDENTITY_INSERT Справочник_типов_контактов ON

IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_контакта = 1) INSERT INTO Справочник_типов_контактов (Код_типа_контакта,Описание,Для_вводов) VALUES (1,'Болтовое без покрытия',1)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_контакта = 2) INSERT INTO Справочник_типов_контактов (Код_типа_контакта,Описание,Для_вводов) VALUES (2,'Болтовое с покрытием оловом',1)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_контакта = 3) INSERT INTO Справочник_типов_контактов (Код_типа_контакта,Описание,Для_вводов) VALUES (3,'Болтовое с гальваническим покрытием серебром',1)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_контакта = 4) INSERT INTO Справочник_типов_контактов (Код_типа_контакта,Описание,Для_вводов) VALUES (4,'С нажатием пружиной контактов без покрытия',0)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_контакта = 5) INSERT INTO Справочник_типов_контактов (Код_типа_контакта,Описание,Для_вводов) VALUES (5,'С нажатием пружиной контактов с гальваническим поктытием серебром',0)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_контакта = 6) INSERT INTO Справочник_типов_контактов (Код_типа_контакта,Описание,Для_вводов) VALUES (6,'С нажатием пружиной контактов с накладными пластинками из серебра',0)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_контакта = 7) INSERT INTO Справочник_типов_контактов (Код_типа_контакта,Описание,Для_вводов) VALUES (7,'С нажатием пружиной контактов с накладными пластинками из сплава СОК-15',0)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_контакта = 8) INSERT INTO Справочник_типов_контактов (Код_типа_контакта,Описание,Для_вводов) VALUES (8,'С нажатием пружиной контактов с накладными пластинками из сплава СОМ-10',0)

SET IDENTITY_INSERT Справочник_типов_контактов OFF
DROP TABLE #TmpTable
